POST /api/v1/transcription/processing
curl --request POST \
--url https://api.scoot.app/api/v1/transcription/processing \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"socialTranscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialRoomSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"s3Bucket": "<string>",
"startDateTime": "2023-11-07T05:31:56Z",
"processingStartDateTime": "2023-11-07T05:31:56Z",
"processingEndDateTime": "2023-11-07T05:31:56Z",
"user": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"emailVerified": true,
"preload": true,
"mobilePhone": "<string>",
"mobilePhoneVerified": true,
"mobilePhoneVerifiedWeb": true,
"profileId": "<string>",
"profileImageURI": "<string>",
"profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileImageBackground": "<string>",
"timeZone": "<string>",
"registeredDateTime": "2023-11-07T05:31:56Z",
"active": true,
"actedAs": true
}
}
'import requests
url = "https://api.scoot.app/api/v1/transcription/processing"
payload = {
"socialTranscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialRoomSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"s3Bucket": "<string>",
"startDateTime": "2023-11-07T05:31:56Z",
"processingStartDateTime": "2023-11-07T05:31:56Z",
"processingEndDateTime": "2023-11-07T05:31:56Z",
"user": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"emailVerified": True,
"preload": True,
"mobilePhone": "<string>",
"mobilePhoneVerified": True,
"mobilePhoneVerifiedWeb": True,
"profileId": "<string>",
"profileImageURI": "<string>",
"profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileImageBackground": "<string>",
"timeZone": "<string>",
"registeredDateTime": "2023-11-07T05:31:56Z",
"active": True,
"actedAs": True
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
socialTranscriptionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
socialRoomSetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
s3Bucket: '<string>',
startDateTime: '2023-11-07T05:31:56Z',
processingStartDateTime: '2023-11-07T05:31:56Z',
processingEndDateTime: '2023-11-07T05:31:56Z',
user: {
userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
emailAddress: '<string>',
emailVerified: true,
preload: true,
mobilePhone: '<string>',
mobilePhoneVerified: true,
mobilePhoneVerifiedWeb: true,
profileId: '<string>',
profileImageURI: '<string>',
profileImageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
profileImageBackground: '<string>',
timeZone: '<string>',
registeredDateTime: '2023-11-07T05:31:56Z',
active: true,
actedAs: true
}
})
};
fetch('https://api.scoot.app/api/v1/transcription/processing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"socialTranscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialRoomSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"s3Bucket": "<string>",
"startDateTime": "2023-11-07T05:31:56Z",
"processingStartDateTime": "2023-11-07T05:31:56Z",
"processingEndDateTime": "2023-11-07T05:31:56Z",
"user": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"emailVerified": true,
"preload": true,
"mobilePhone": "<string>",
"mobilePhoneVerified": true,
"mobilePhoneVerifiedWeb": true,
"profileId": "<string>",
"profileImageURI": "<string>",
"profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileImageBackground": "<string>",
"timeZone": "<string>",
"registeredDateTime": "2023-11-07T05:31:56Z",
"active": true,
"actedAs": true
}
}Transcriptions
Mark as processing
POST
/
api
/
v1
/
transcription
/
processing
POST /api/v1/transcription/processing
Authorizations
Body
application/json
Response
200 - application/json
OK
⌘I

